body {
    margin: 0;
    --background-color: white;
    --background-darker-color: hsl(0, 0%, 80%);
    --tab-selector-color: '#F480FF';
    --text-color: black;
    --accent-color: rgb(255, 99, 125);
    background: var(--background-color);
    font-size: 16px;
    font-family: arial;
}

.page-container,
.page-container div {
    box-sizing: border-box;
    display: flex;
    transition: all ease-out 300ms;
    color: var(--text-color);
}

.page-container {
    background: var(--background-darker-color);
    height: 100vh;
    flex-direction: column;
    overflow: hidden;
}

.page-inner{
    min-width: 100vw;
    overflow: auto;
    flex-direction: column;
    box-sizing: border-box;
}

.nav-bar {
    background: var(--background-darker-color);
    width: 100%;
    padding: 10px;
    font-family: arial;
    transition: all ease-in 300ms;
    user-select: none;
    align-items: center;
    justify-content: center;
}

.nav-bar p {
    flex: 1;
    line-height: 0;
    transition: background-color 300ms ease-out;
}

.nav-bar-logo {
    flex: 1;
}

#nav-bar-right {
    gap: 10px;
}

.nav-bar button {
    color: inherit; 
    font: inherit;
    border: none;
    padding: 10px;
    background: none;
    transition: all ease-out 300ms;
    border-radius: 6px;
    align-items: center;
    justify-content: center;
    display: flex;
}

.nav-bar button:active,
.nav-bar button:hover {
    color: var(--accent-color);
}

.nav-bar button.active {
    background: var(--tab-selector-color);
    color: var(--accent-color);
}

.content-panel {
    height: 0px;
    flex: 1;
    background: var(--background-color);
    overflow: hidden;
}

.page-container.home-page .nav-bar {
    flex-direction: column;
    flex: 1;
}

.page-container.home-page .nav-bar-logo {
    flex: 0;
}

.page-container.home-page .nav-bar p {
    font-size: 100px;
    transition: all ease-out 300ms;
}

.page-container.home-page .content-panel {
    flex: 0;
}

.tab{
    width: 0;
    overflow: hidden;
    flex-direction: column;
}

.tab.active {
    width: 100%;
    height: 100%;
    opacity: 1
}

.tab{
    opacity: 0;
}

.page-container.home-page .tab.active {
    width: 100%;
}

.page-container .tab {
    transition: all ease-out 0s;
}

.page-container.animate .tab {
    transition: all ease-out 300ms;
}

.accent-color {
    color: var(--accent-color);
}

.hidden {
    display: none;
}

.center{
    text-align: center;
    align-self: center;
}
.banner {
    background: #f480ff26;
    padding: 0 10px;
    justify-content: center;
    align-items: center;
}

.banner svg {
    color: #ff8080;
}

.large-text,
.about-me-info .large-text {
    font-size: 100px;
}

.about-me-info {
    width: 100%;
    height: 100vh;
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
    padding: 100px;
    box-sizing: border-box;
}

.about-me-info img {
    border-radius: 20px;
}

.name-tag {
    background-image: linear-gradient(90deg, #4FCBF6, #DF7ECE);
    color: transparent;
    background-clip: text;
    font-weight: bold;
}

.page-container .about-me-info,
.about-me-info div {
    display: flex;
    align-items: flex-start;
    width: 100%;
}

.about-me-info p {
    margin: 0;
    font-size: 36px;
}

.vertical {
    flex-direction: column;
}

.theme-toggle{
    border: 1px solid var(--accent-color);
    display: flex;
    margin: 10px 0;
}

.theme-toggle, .theme-toggle svg{
    transition: all ease-in-out 300ms;
    border-radius: 1000px;
    padding: 2px;
}

.theme-toggle svg{
    background: var(--tab-selector-color);
    color: var(--accent-color);
}

.theme-toggle #light{
    opacity: 0;
}

.theme-toggle.light #light{
    opacity: 1;
}

.theme-toggle.light #dark{
    opacity: 0;
}


@media (max-width: 520px) {
    .page-container.home-page .nav-bar-logo {
        display: block;
    }
    
    .page-container.home-page .nav-bar-logo p {
        display: block;
        font-size: 48px;
    }

    .page-container .nav-bar-logo {
        display: none;
    }

    .about-me-info p{
        font-size: 20px
    }

    .about-me-info .large-text, .large-text{
        font-size: 48px;
    }

    .about-me-horizontal{
        flex-direction: column-reverse;
        gap: 20px;
        max-width: 1000px;
    }    

    #theme-button{
        position: absolute;
        right: 10px;
    }
}

@media (max-width: 850px) {
    .about-me-info{
        padding: 20px;
    }
}

.cursor {
    display: inline-block;
    margin-left: 2px;
    color: #DF7ECE;
    animation: blink 1s step-start infinite;
}
  
@keyframes blink {
    50% {
        opacity: 0;
    }
}